Name: kernel-source-gspca
Version: 1.00.20
%define upstream_version 20071224
Release: alt1

Summary: Sources for the gspca USB camera driver
License: GPL
Group: Development/Kernel
URL: http://mxhaard.free.fr
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source: http://mxhaard.free.fr/spca50x/Download/gspcav1-%upstream_version.tar.gz

BuildArch: noarch
BuildPreReq: rpm-build-kernel

# Information extracted from http://mxhaard.free.fr/spca5xx.html
%description
The gspca driver for Linux provides support for many different
models of webcams and digital cameras based on chips from Sunplus,
Z-star/Vimicro, Sonix, Etoms, Conexant, IcMedia/TransVision, Pixart.

Currently supported chips: SPCA500, SPCA501, SPCA504, SPCA505,
SPCA506, SPCA508, SPCA533, SPCA536, SPCA551, SPCA561, ET61X151,
ET61X251, ZC0301, ZC0301P, ZC0302, SN9C101, SN9C102, SN9C102P,
SN9C105, SN9C120, CX11646, TV_8532, PAC207-BCA, PAC7311, VC0321,
VC0323.

This package contains sources for building the gspca kernel module.

%prep
%setup -q -c
mv gspcav1-%upstream_version %name-%version

%install
mkdir -p %kernel_srcdir
tar -cjf %kernel_srcdir/%name-%version.tar.bz2 %name-%version

%files
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2

%changelog
* Mon Sep 22 2008 Michail Yakushin <silicium@altlinux.ru> 1.00.20-alt1
- Updated to gspcav1 1.00.20 (20071224) (thank to Igor Zubkov <icesik@> )

* Tue Dec 11 2007 Sergey Vlasov <vsu@altlinux.ru> 1.00.18-alt1
- Updated to gspcav1 1.00.18 (20070508).
- Replaced kernel-build-tools with rpm-build-kernel in BuildPreReq.
- Added PAC7311 to the list of supported chips in package description.

* Sun Jan 14 2007 Sergey Vlasov <vsu@altlinux.ru> 1.00.12-alt1
- Updated to gspcav1 1.00.12; renamed the package to kernel-source-gspca
  (not sure what "v1" at the end of original tarball name means, but the
  kernel module is called "gspca").
- Removed Makefile hacks from spec (no longer needed).
- Updated package description to include list of supported chips.

* Sat Mar 11 2006 Sergey Vlasov <vsu@altlinux.ru> 0.57.10-alt1
- New upstream release (0.57.10).

* Fri Nov 18 2005 Sergey Vlasov <vsu@altlinux.ru> 0.57.05-alt1
- New upstream release (0.57.05).
- Removed alt-no-c99 patch (obsolete).

* Tue Jul 12 2005 Sergey Vlasov <vsu@altlinux.ru> 0.57.00-alt1
- First build for ALT Linux.
